campaigns.runs
Every call the campaign placed.
Returns the individual run records for each contact in the campaign. Each record includes the same fields as agent run details, including run status, duration, transcript, and recording URL.
Reference
GET/api/v1/campaigns/{campaign_id}/runs
- Auth
- API key in
X-API-Key - Content
- none
- Returns
- 200 · CampaignRunsResponse
Get campaign workflow runs with pagination, filters and sorting
Arguments
| Argument | In | Type | Required | Description |
|---|---|---|---|---|
campaign_id | path | integer | required | |
page | query | integer | default 1 | |
limit | query | integer | default 50 | |
filters | query | string | optional | JSON-encoded filter criteria |
sort_by | query | string | optional | Field to sort by (e.g., 'duration', 'created_at') |
sort_order | query | string | default "desc" | Sort order ('asc' or 'desc') |
Example request
curl -X GET "https://api.decibyl.ai/api/v1/campaigns/<campaign_id>/runs" \
-H "X-API-Key: dcb_your_key"Response
{
"runs": [
{}
],
"total_count": 1,
"page": 1,
"limit": 1,
"total_pages": 1
}Errors
| Status | When |
|---|---|
404 | Not found |
422 | Validation Error |